About Sticky Notes

Sticky Notes is a utility that lets you write short notes (up to 512 characters) and post them on your computer screen. It runs as an icon in the system tray of the task bar.

You can hide and selectively show the notes, so they don't get in the way of your work. The notes always stay in the position you put them on the screen.

Notes are saved when you close down the computer. They automatically reappear the next time you start the computer, so you don't forget an important reminder.


Creating a new note

To create a new note:

  • right-click the Sticky Notes icon and select New Note;
  • type some text into the Caption field - the current date and time are inserted by default;
  • type some text into the note (up to 512 characters by default);
  • click OK;
  • adjust the size and position of the note using the mouse, according to your preference.


Editing a note

To edit the content of one of your notes, right-click the note and select Edit. You can then change both the text and the caption.


Hiding and showing notes

To hide or show all your sticky notes at once, just click the Sticky Notes tray icon.

To hide an particular note that is showing, right-click the note and select Hide.

To show a particular note that is hidden, right-click the tray icon and click on the name of the note.


Deleting a note

To delete one of your notes, right-click the note and select Delete.


Additional information

Data storage

The contents of your notes are stored in a file "stickynotes.dat" in your "My Documents" folder. For compatibility with older versions, however, the program will use a file named "stickynotes.ini" in the program's installation folder, if one exists already. Back up this data file if you don't want to lose your notes.

Message length

The maximum length of a note is 512 characters. This can be increased by editing the notes data file "stickynotes.dat" using a text editor (such as Windows Notepad or Tech-Pro TextPad) and adding a line "MessageLength=xxxx" in the [Settings] section. The change won't take effect until after the program has been closed and restarted.

The total size of the notes data file may not exceed 64Kb, however. We consider 512 characters to be an adequate length for this type of note. If you want to make longer notes we would suggest that you use another of our Tech-Pro Utilities, Textpad, which stores text in separate files.


License Agreement

This is a legal agreement between you (the licensee) and Tech-Pro Limited (the licensor). Subject to your acceptance of the conditions and restrictions set out below, you are granted a license giving you rights to use the software.

This software is provided as is. All responsibility for determining fitness of purpose rests with the licensee.

The licensee agrees not to hold the licensor liable for any loss or damage or consequential loss or damage arising directly or indirectly out of the use of the software or for any other reason. The licensee accepts the responsibility for taking necessary precautions to safeguard against any such loss, damage or consequential loss or damage, howsoever it may be caused.


Copyright Notice

This software is Copyright © 2003 - 2004 Tech-Pro Limited. It is protected under international law. You may not give away, sell, rent or lease copies of this software. Reverse engineering, decompiling or disassembling the software are prohibited. The use of registration keys other than those provided to you by Tech-Pro Limited is expressly forbidden.


Make a donation

The Tech-Pro Utilities are unrestricted, and you are free to use them for as long as you want. However, if you find the utilities useful, and would like us to support and develop them, we ask you to consider making a donation. If you donate, you will become a registered user of the Tech-Pro Utilities.

As a registered user, you are entitled to technical support for the utilities. You will also receive a registration code that you can enter into the program to stop the "Tech-Pro Utilities are donationware" reminder messages. Most importantly, you will be making a contribution to the cost of developing and supporting these utilities.

To make your donation, please visit http://www.tech-pro.net/donate.html .

Hundreds of users have already made donations and become registered users of Tech-Pro Utilities. To these people - thank you very much. Writing software is how we earn a living, and without your contributions we could not continue to develop these utilities.


About Tech-Pro

Tech-Pro Limited is a private limited company based in Cockermouth, Cumbria, UK. It provides technical support services and develops software for a number of local and international customers.

The name stands for "the technical professionals".

The technical director is Julian Moss, a software developer and technical support specialist with over 30 years experience in the industry. He also contributes to some of the UK's most popular computer magazines.

Visit our website at www.tech-pro.net for more software utilities and information of interest to technical professionals and advanced home users of personal computers .